[Pkg-virtualbox-commits] [virtualbox] 01/01: Add new script to generate dfsg-free tarball. Also add some updates to build-deps

Ritesh Raj Sarraf rrs at moszumanska.debian.org
Mon Feb 3 10:35:41 UTC 2014


This is an automated email from the git hooks/post-receive script.

rrs pushed a commit to branch master
in repository virtualbox.

commit c800048cdd9563e1079de684ab61441ea6b9ddc3
Author: Ritesh Raj Sarraf <rrs at debian.org>
Date:   Thu Jan 30 19:25:02 2014 +0530

    Add new script to generate dfsg-free tarball.
    Also add some updates to build-deps
    
    Thanks: Gianfranco Costamagna
---
 debian/control            |  5 ++++-
 debian/get-orig-source.sh | 45 +++++++++++++++++++++++++++++++++++++++++++++
 debian/rules              | 23 -----------------------
 debian/watch              |  3 ++-
 4 files changed, 51 insertions(+), 25 deletions(-)

diff --git a/debian/control b/debian/control
index fdc0434..f5883a7 100644
--- a/debian/control
+++ b/debian/control
@@ -31,6 +31,7 @@ Build-Depends: bzip2,
                libpng-dev,
                libpulse-dev,
                libqt4-dev (>= 4.4.0),
+               libqt4-network (>= 4.4.0),
                libqt4-opengl-dev (>= 4.4.0),
                libsdl1.2-dev,
                libssl-dev,
@@ -43,10 +44,12 @@ Build-Depends: bzip2,
                libxext-dev,
                libxi-dev,
                libxinerama-dev,
+               libxml2-dev,
                libxmu-dev,
                libxrandr-dev,
                libxrender-dev,
                libxslt1-dev,
+               libxt-dev,
                lsb-release,
                lynx-cur,
                makeself,
@@ -95,7 +98,7 @@ Recommends: virtualbox-dkms (= ${source:Version}) | virtualbox-source (= ${sourc
             ${shlibs:Recommends}
 Suggests: virtualbox-guest-additions-iso,
           vde2
-Conflicts: virtualbox-2.0, virtualbox-2.1, virtualbox-2.2, virtualbox-3.0
+Conflicts: virtualbox-2.0, virtualbox-2.1, virtualbox-2.2, virtualbox-3.0, virtualbox-4.2
 Description: x86 virtualization solution - base binaries
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
diff --git a/debian/get-orig-source.sh b/debian/get-orig-source.sh
new file mode 100755
index 0000000..5a60045
--- /dev/null
+++ b/debian/get-orig-source.sh
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+set -ex
+
+UPSTREAM_VERSION=$2
+ORIG_TARBALL=$3
+
+REAL_TARBALL=`readlink -f ${ORIG_TARBALL}`
+
+WORKING_DIR=`dirname ${ORIG_TARBALL}`
+
+ORIG_TARBALL_DFSG=`echo ${ORIG_TARBALL} | sed -e "s/\(${UPSTREAM_VERSION}\)\(\.orig\)/\1-dfsg\2/g"`
+ORIG_TARBALL_DIR=`echo ${ORIG_TARBALL_DFSG} | sed -e "s/_\(${UPSTREAM_VERSION}\)/-\1/g" -e "s/\.tar\.bz2//g"`
+ORIG_TARBALL_DIR_STRIP=`basename ${ORIG_TARBALL_DIR}`
+DEST_TARBALL_DIR=${ORIG_TARBALL_DIR%.orig}
+DEST_TARBALL_DIR_STRIP=`basename ${DEST_TARBALL_DIR}`
+
+mkdir -p ${ORIG_TARBALL_DIR}
+tar --directory=${ORIG_TARBALL_DIR} --strip 1 -xjf ${REAL_TARBALL} || exit 1 
+rm -f  ${ORIG_TARBALL} ${REAL_TARBALL}
+
+rm -fr ${ORIG_TARBALL_DIR}/debian
+rm -fr ${ORIG_TARBALL_DIR}/kBuild
+rm -fr ${ORIG_TARBALL_DIR}/tools
+rm -fr ${ORIG_TARBALL_DIR}/src/VBox/Additions/os2
+rm -fr ${ORIG_TARBALL_DIR}/src/VBox/Additions/WINNT
+rm -f  ${ORIG_TARBALL_DIR}/VBox/HostDrivers/Support/darwin/load.sh
+rm -f  ${ORIG_TARBALL_DIR}/include/VBox/VBoxGuest.inc
+rm -f  ${ORIG_TARBALL_DIR}/include/VBox/VBoxGuest16.h
+rm -f  ${ORIG_TARBALL_DIR}/include/VBox/VBoxGuest.mac
+rm -f  ${ORIG_TARBALL_DIR}/src/libs/xpcom18a4/xpcom/MoreFiles/FSCopyObject.c
+rm -f  ${ORIG_TARBALL_DIR}/src/libs/xpcom18a4/xpcom/MoreFiles/FSCopyObject.h
+rm -fr ${ORIG_TARBALL_DIR}/src/libs/libpng*
+rm -fr ${ORIG_TARBALL_DIR}/src/libs/libxml2*
+rm -fr ${ORIG_TARBALL_DIR}/src/libs/libxslt*
+rm -fr ${ORIG_TARBALL_DIR}/src/libs/zlib*
+rm -fr ${ORIG_TARBALL_DIR}/src/VBox/Additions/linux/selinux-fedora
+find   ${ORIG_TARBALL_DIR}/src/VBox/Additions/x11/x11include -mindepth 1 -maxdepth 1 \
+   -type d ! -name '*mesa-*' -exec rm -rf {} \;
+
+
+tar --exclude .svn --exclude '.git*' --exclude debian --directory ${WORKING_DIR} -cJf ${DEST_TARBALL_DIR}.tar.xz ${ORIG_TARBALL_DIR_STRIP} || exit 1
+rm -rf ${ORIG_TARBALL_DIR}
+echo "Done, now you can run git-import-orig --pristine-tar ${DEST_TARBALL_DIR}.tar.xz"
+exit 0
diff --git a/debian/rules b/debian/rules
index 24de393..5c47415 100755
--- a/debian/rules
+++ b/debian/rules
@@ -199,26 +199,3 @@ override_dh_auto_clean:
 
 	find . -name "*.pyc" -exec rm -f {} \;
 
-#Rebuild the orig.tar.gz
-dfsg-free: clean
-	rm -rf ./kBuild
-	rm -rf ./tools
-	rm -rf ./src/VBox/Additions/os2
-	rm -rf ./src/VBox/Additions/WINNT
-	rm -f ./src/VBox/HostDrivers/Support/darwin/load.sh
-	rm -f ./include/VBox/VBoxGuest.inc
-	rm -f ./include/VBox/VBoxGuest16.h
-	rm -f ./include/VBox/VBoxGuest.mac
-	rm -f ./src/libs/xpcom18a4/xpcom/MoreFiles/FSCopyObject.c
-	rm -f ./src/libs/xpcom18a4/xpcom/MoreFiles/FSCopyObject.h
-	rm -rf ./src/libs/libpng*
-	rm -rf ./src/libs/libxml2*
-	rm -rf ./src/libs/libxslt*
-	rm -rf ./src/libs/zlib*
-	rm -rf ./src/VBox/Additions/linux/selinux-fedora
-	find src/VBox/Additions/x11/x11include -mindepth 1 -maxdepth 1 \
-	    -type d ! -name '*mesa-*' -exec rm -rf {} \;
-	cd ..; mv $(CURDIR) virtualbox-$(upstreamversion)-dfsg; \
-	    tar --exclude .svn --exclude '.git*' --exclude debian \
-	        -cJf virtualbox_$(upstreamversion)-dfsg.orig.tar.xz \
-	        virtualbox-$(upstreamversion)-dfsg
diff --git a/debian/watch b/debian/watch
index c264ceb..53334cf 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,4 +1,5 @@
 version=3
 
 opts=dversionmangle=s/-dfsg\d*$//,uversionmangle=s/-.*// \
- http://download.virtualbox.org/virtualbox/([\d\.\-]+)/VirtualBox-([\d\.\-]+).tar.bz2
+ http://download.virtualbox.org/virtualbox/([\d\.\-]+)/VirtualBox-([\d\.\-]+).tar.bz2 \
+ debian /bin/sh debian/get-orig-source.sh

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-virtualbox/virtualbox.git



More information about the Pkg-virtualbox-commits mailing list